Summary:       Detect and take action when an ethernet cable is unplugged
Name:          ifplugd
Version:       0.28
Release:       16%{?dist}

License:       GPLv2+
Group:         System Environment/Daemons
URL:           http://0pointer.de/lennart/projects/ifplugd
Source0:       http://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.gz
Patch0:        interface_c.patch
Patch1:        ifplugd_action-readability.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      libdaemon
BuildRequires: libdaemon-devel, pkgconfig

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure --prefix=/ --disable-lynx --disable-xmltoman --disable-subversion --with-initdir=%{_initrddir}
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m755 src/ifplugd $RPM_BUILD_ROOT/%{_sbindir}/ifplugd
install -p -D -m755 src/ifplugstatus $RPM_BUILD_ROOT/%{_sbindir}/ifplugstatus
install -p -D conf/ifplugd.init $RPM_BUILD_ROOT/%{_initrddir}/ifplugd
install -p -D -m755 conf/ifplugd.conf $RPM_BUILD_ROOT/%{_sysconfdir}/ifplugd/ifplugd.conf
install -p -D -m755 conf/ifplugd.action $RPM_BUILD_ROOT/%{_sysconfdir}/ifplugd/ifplugd.action
install -p -D man/ifplugd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5/ifplugd.conf.5
install -p -D man/ifplugd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/ifplugd.8
install -p -D man/ifplugstatus.8 $RPM_BUILD_ROOT/%{_mandir}/man8/ifplugstatus.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%config %{_initrddir}/ifplugd
%config(noreplace) %{_sysconfdir}/ifplugd
%{_sbindir}/ifplugd
%{_sbindir}/ifplugstatus
%{_mandir}/man5/ifplugd.conf.5*
%{_mandir}/man8/ifplugd.8*
%{_mandir}/man8/ifplugstatus.8*
%doc README LICENSE

%post
/sbin/chkconfig --add ifplugd

%preun
/sbin/chkconfig --del ifplugd

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 31 2010 José Matos <jamatos@fc.up.pt> - 0.28-15
- Add action readability patch (thanks to Niels de Vos) (bz#597866)

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 0.28-14
- Rebuild for F12 mass rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.28-12
- Fix Patch0:/%%patch mismatch.

* Tue Apr  1 2008 José Matos <jamatos[AT]fc.up.pt> - 0.28-11
- Pass initdir to configure.

* Tue Apr  1 2008 José Matos <jamatos[AT]fc.up.pt> - 0.28-10
- Rebuild again (the failure in configure is gone).

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.28-9
- Autorebuild for GCC 4.3

* Thu Feb 14 2008 José Matos <jamatos[AT]fc.up.pt> - 0.28-8
- Rebuild for gcc 4.3

* Tue Aug 28 2007 José Matos <jamatos[AT]fc.up.pt> - 0.28-7
- License fix, rebuild for devel (F8).

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 0.28-6
- Rebuild (for F7).

* Thu Sep 28 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-5
- Add dist tag to release.

* Thu Sep 28 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-4
- Place deamon in _initrddir (/etc/rc.d/init.d)

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-3
- Add patch to cvs ( --follow-the-mind would be nice).

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-2
- Apply patch to src/interface.c

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.28-1
- New upstream version

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.24-8
- BuildRequires libdaemon-devel to get libdaemon.pc file

* Wed Sep 27 2006 José Matos <jamatos[AT]fc.up.pt> - 0.24-7
- Rebuild for FC-6.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jun 4 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.24-0.fdr.5
- Capitalized summary tag
- Added /etc/ifplugd directory

* Thu Jun  3 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.24-0.fdr.4
- renamed confpatches.patch to ifplugd-0.24-confpatches.patch
- used %config for /etc/init.d/ifplugd
- added %config(noreplace) for /etc/ifplugd/*
- removed patch

* Wed Jun  2 2004 Aaron Bennett <aaron.bennett@olin.edu> - 0:0.24-0.fdr.3
- Fixed summary
- added -p option to install
- added buildrequires

* Tue May 3 2004 Aaron Bennett <aaron.bennett@olin.edu>
- Changed Source0 to URL for source
- signed package

* Mon May 3 2004 Aaron Bennett <aaron.bennett@olin.edu>
- Revamped for Fedora.us packaging guidelines

* Wed Mar 31 2004 Aaron Bennett <abennett@olin.edu>
- Initial build.


